Package Details: irpf 2021.1.1-2

Git Clone URL: https://aur.archlinux.org/irpf.git (read-only, click to copy)
Package Base: irpf
Description: Programa Oficial da Receita para elaboração do IRPF
Upstream URL: https://www.receita.fazenda.gov.br
Licenses: custom
Submitter: ShyPixie
Maintainer: marcio
Last Packager: marcio
Votes: 43
Popularity: 1.36
First Submitted: 2013-04-11 13:25
Last Updated: 2021-02-27 21:17

Required by (0)

Sources (5)

Latest Comments

1 2 3 4 5 6 ... Next › Last »

marcio commented on 2021-02-28 00:57

@dbermond Thanks!

dbermond commented on 2021-02-27 14:07

@marcio The .install file can be completely removed, since those system commands are already handled by pacman hooks. It looks like that those system commands are not even needed at all. Also, the 'post_remove()' function gives a syntax error, since bash functions are not expected to be empty.

Please remove the .install file, or at least remove the system commands that are handled by pacman hooks, and the empty (illegal) 'post_remove()' function.

Also, most probably the java dependency here is java-runtime instead of java-environment. Dependencies should be: depends=('sh' 'java-runtime' 'hicolor-icon-theme')

And url should use the https protocol instead of http, for security reasons.

marcio commented on 2021-02-25 15:04

Apesar da receita recomendar a utilização da versão 11 do java, nos meus testes ele funcionou apenas com o java 15, bastando apenas continuar a execussão do programa quando perguntado.

O erro apresentado com o java 11 foi:

Sistema: Linux
Java: 11.0.10
JavaHome: /usr/lib/jvm/java-11-openjdk
fev 25, 2021 11:44:13 AM serpro.ppgd.negocio.util.LogPPGD erro
GRAVE: Can't load library: /usr/lib/jvm/java-11-openjdk/lib/libawt_xawt.so
Exception in thread "main" java.lang.NoClassDefFoundError: Could not initialize class java.awt.Container
    at serpro.ppgd.irpf.gui.util.GuiUtil.mostrarErro(GuiUtil.java:94)
    at serpro.ppgd.app.IRPFPGD.main(IRPFPGD.java:89)

Apesar de informar que não pôde carregar a biblioteca libawt_xawt.so, a mesma está no local indicado. Se alguém souber uma solução definitiva para esse problema será de grande ajuda.

marieldejesus12 commented on 2020-06-30 18:03

Quem estiver precisando atualizar para enviar, como eu que deixei pra última hora:

1 - Editar o PKGBUILD 2 - Trocar o primeiro md5sum para "afc1b44b260ea8c241512732b1c44ccb" 3 - Trocar "pkgver=2020.1.8" para "pkgver=2020.1.9" 4 - Trocar "source=(https://downloadirpf.receita.fazenda.gov.br/irpf/2020/irpf/arquivos/IRPF2020-1.8.zip" para "source=(https://downloadirpf.receita.fazenda.gov.br/irpf/2020/irpf/arquivos/IRPF2020-1.9.zip" 5 - Compilar o pacote...

paulequilibrio commented on 2020-06-22 19:53

Muito obrigado por manter esse pacote!

Valeu pela atualização! :D

manouchk commented on 2020-05-21 15:42

Está funcionando. Fui erro meu que não tem a ver com a atualização do programa. Apaguei meu comentário.

marcio commented on 2020-05-21 14:29

@manouchk Não está na pasta do IRPF dentro da sua home?

skate_forever commented on 2020-04-01 14:01

Com a versão 1.5 do irpf e com jre11-openjdk 11.0.6.u10-1 eu consegui enviar a declaração.

marcio commented on 2020-03-22 20:45

@cgbarros mesmo usando o jre8-openjdk? Parece que muitos desenvolvedores usam esta versão por ser um tipo de LTS.

cgbarros commented on 2020-03-22 20:33

Olá, marcio! Infelizmente não estou conseguindo enviar a declaração. Eu recebo a seguinte mensagem: "ERRO! O ARQUIVO NÃO FOI TRANSMITIDO. Esta instalação do Receitanet foi corrompida. Reinstale o Receitanet e tente novamente". No terminal as mensagens de erro são essas:

WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by foxtrot.pumps.ConditionalEventPump$1 (file:/usr/share/irpf/lib/foxtrot.jar) to method java.awt.EventDispatchThread.pumpEvents(java.awt.Conditional)
WARNING: Please consider reporting this to the maintainers of foxtrot.pumps.ConditionalEventPump$1
WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations
WARNING: All illegal access operations will be denied in a future release